"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssociatedReview = void 0;
const react_1 = require("react");
const ReviewType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "associatedReview",
        itemScope: true,
        itemType: "https://schema.org/Review",
        ...props,
    }, children);
};
const AssociatedReview = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "associatedReview",
        ...props,
    }, children);
};
exports.AssociatedReview = AssociatedReview;
AssociatedReview.Review = ReviewType;
