"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReviewRating = void 0;
const react_1 = require("react");
const RatingType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "reviewRating",
        itemScope: true,
        itemType: "https://schema.org/Rating",
        ...props,
    }, children);
};
const ReviewRating = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "reviewRating",
        ...props,
    }, children);
};
exports.ReviewRating = ReviewRating;
ReviewRating.Rating = RatingType;
